

from xmlreader import Class, PlacefulSingleton, Dictable, Listable, updateClassMap

class FrontEndConfig(Dictable):
    def _leave(self):
        hw = self._getRoot()
        vhostmgr = self._aq('vhostmgr').build()
        hw.register("IFrontEnd", self.nickname, vhostmgr)
        twistedSite = vhostmgr.buildSite()
        for host in self.host:
            hw.serveSite(twistedSite, host.address, host.port)


classMap=dict(
    frontend = FrontEndConfig,
)


updateClassMap(classMap)